## rtai 3.2

=== rtai-lab/scilab/macros/RTAI/Makefile ===
--- 
+++ 
@@ -19,15 +19,17 @@
 	rtai_comedi_dataout.sci \
 	rtai_comedi_dioin.sci \
 	rtai_comedi_dioout.sci \
-	rtai_pcan_in.sci \
-	rtai_pcan_out.sci \
-	rtai_cioquad4.sci \
 	rtai_mbx_ovrwr_send.sci \
 	rtai_mbx_send_if.sci \
 	rtai_mbx_rcv_if.sci \
 	rtai_mbx_rcv.sci \
 	rtai_extdata.sci \
 	rtai_fifo.sci \
-	RTAICodeGen_.sci
+	rtai_sem_signal.sci \
+	rtai_sem_wait.sci \
+	RTAICodeGen_.sci \
+	C_RTAI_BLK.sci \
+	rtai_generic_inp.sci \
+	rtai_generic_out.sci
 
 include ../Make.lib
