=== rtai-lab/scilab/devices/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SRCALL = $(wildcard *.c)
 
 ifeq ($(strip $(COMEDIDIR)),)
-EXCLUDE = exit_on_error.c rtai_comedi_datain.c rtai_comedi_dataout.c rtai_comedi_dioin.c rtai_comedi_dioout.c
+EXCLUDE = exit_on_error.c rtai_comedi_datain.c rtai_comedi_dataout.c rtai_comedi_dioin.c rtai_comedi_dioout.c rtai_comedi_encoder.c get_softcalib.c
 else
 EXCLUDE = exit_on_error.c
 endif
@@ -17,7 +17,7 @@
 OBJ = $(SRC:.c=.o)
 DBG = -g
 
-CC_FLAGS = -c $(DBG) -I. -I$(RTAIDIR)/include -O2
+CC_FLAGS = -c $(DBG) -I. -I$(RTAIDIR)/include -O2 -Wall -std=gnu99 -DSOFTCALIB
 
 %.o: %.c
 	cc $(CC_FLAGS) $<
