=== rtai-lab/scilab/macros/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 TEMPLDIR   = $(CONTRIBDIR)/RT_templates
 
 DEVSRC = *.c *.h *.tmp Makefile
-MACROSRC = *.sci *.cosf *.sce
+MACROSRC = *.sci *.cosf 
 TEMPLSRC = rtai.gen rtai.mak standalone.cmd
 RTAISRC  = builder.sce loader.sce
