=== debian/changelog ===
rtai (3.9.1-4) unstable; urgency=low

  * Removal of link /usr/include/asm works only on some archs, FTBFS otherwise

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 22:23:13 +0200

rtai (3.9.1-3) unstable; urgency=low

  * Remove link /usr/include/asm which is already included in gcc-multilib
    (Closes: #707671)

 -- Roland Stigge <stigge@antcom.de>  Fri, 10 May 2013 21:23:41 +0200

rtai (3.9.1-2) unstable; urgency=low

  * Enable build on powerpcspe (debian/control, debian/rules)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 18:34:32 +0200

rtai (3.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Build-Depends: debhelper (>= 9)
    - Standards-Version: 3.9.4
    - Fixed descriptions, thanks to Justin B Rye and Martin Eberhard Schauer
      (Closes: #697909)
  * debian/compat: 9
  * debian/rules:
    - Use buildflags.mk to automatically support hardening
    - Add "--enable-comedi-lxrt --enable-comedi-lock" (Closes: #606122)
      thanks to Yaroslav Halchenko

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 16:48:17 +0200
