=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Edelhard Becker <edelhard@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7), bzip2, python-support
+Build-Depends: debhelper (>= 9), bzip2, python-support, autotools-dev, dpkg-dev (>= 1.16.1~), libcomedi-dev, autoconf
 XS-Python-Version: >= 2.1
 Homepage: http://www.rtai.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: rtai
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: rtai-doc (>= ${source:Version}), librtai1 (>= ${source:Version}), librtai-dev (>= ${source:Version}), rtai-source (>= ${source:Version}), python-rtai, ${misc:Depends}
 Description: Real Time Application Interface
  RTAI is a realtime extension with a broad variety of services which
@@ -26,7 +26,7 @@
 
 Package: librtai1
 Section: libs
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which
@@ -42,7 +42,7 @@
 
 Package: librtai-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: librtai1 (= ${binary:Version}), ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which
@@ -59,7 +59,7 @@
 
 Package: rtai-source
 Section: devel
-Architecture: i386 amd64 powerpc arm armel armeb
+Architecture: i386 amd64 powerpc powerpcspe arm armel armeb
 Depends: make, debhelper (>= 4.0.0), python-rtai, ${misc:Depends}
 Description: Real Time Application Interface (module source)
  RTAI is a realtime extension with a broad variety of services which
