=== debian/rules ===
--- 
+++ 
@@ -12,25 +12,18 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)
-HOST_CPU            = $(shell dpkg-architecture -qDEB_HOST_ARCH | sed -e s/powerpc/ppc/ -e s/amd64/x86_64/ -e s/armel/arm/)
-
-CFLAGS = -Wall -g
+DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpcspe/ppc/ -e s/powerpc/ppc/)
+HOST_CPU            = $(shell dpkg-architecture -qDEB_HOST_ARCH | sed -e s/powerpcspe/ppc/ -e s/powerpc/ppc/ -e s/amd64/x86_64/ -e s/armel/arm/)
+
 ifeq ($(HOST_CPU),arm)
 CFLAGS += -march=armv6
-endif
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
 endif
 
 # RTAIs own prefix handling
@@ -190,6 +183,15 @@
 config.status: configure-stamp
 configure-stamp:
 	dh_testdir
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+	cp -f /usr/share/misc/config.sub base/config/autoconf/config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+	cp -f /usr/share/misc/config.guess base/config/autoconf/config.guess
+endif
+	autoconf -f
 	sed -e "s,^CONFIG_X86=,$(CONFIG_OPTION)=," debian/linux/.config.x86 > debian/linux/.config
 ifeq ($(CONFIG_OPTION),CONFIG_ARM)
 	echo "CONFIG_ARCH_PXA=y" >> debian/linux/.config
@@ -198,7 +200,8 @@
 	       --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
 	       --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	       --with-linux-dir=$(CURDIR)/debian/linux --disable-leds \
-	       --includedir=\$${prefix}/include/rtai --disable-rtailab
+	       --includedir=\$${prefix}/include/rtai --disable-rtailab \
+	       --enable-comedi-lxrt --enable--comedi-lock
 	touch configure-stamp
 
 build-arch:  config.status build-arch-stamp
@@ -214,10 +217,3 @@
 	export DH_OPTIONS='-p$(pmodules)'
 
 	# Is this needed for setting up a Depends?
-	#echo "kpkg:Package-Version=$(epoch)$(pversion)+$(non_epoch_version)" \
-	#	 >> debian/$(package).substvars
-	echo "kpkg:Kernel-Version=$(non_epoch_version)" > \
-		debian/$(pmodules).substvars
-
-	# The substvars mechanism seems slightly broken, hack to get around it
-	# stolen from the qce-ga package. Yaaaa!
